Issue 50056 - Number of words (word count) = 22 for an empty document
Summary: Number of words (word count) = 22 for an empty document
Status: CLOSED NOT_AN_OOO_ISSUE
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: 680m104
Hardware: PC All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: stefan.baltzer
QA Contact: issues@sw
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2005-05-30 17:22 UTC by umr5174
Modified: 2005-06-02 18:56 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Counter says this empty document has 22 words. (14.90 KB, application/vnd.sun.xml.writer)
2005-05-30 17:23 UTC, umr5174
no flags Details
Previous stage (185 words counted) (37.07 KB, application/vnd.sun.xml.writer)
2005-05-30 18:22 UTC, umr5174
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description umr5174 2005-05-30 17:22:01 UTC
I was surprised of the File: Properties: Number of words of a document.
I emptied it (including its footer).
There are still 22 words according to the counter.
Comment 1 umr5174 2005-05-30 17:23:01 UTC
Created attachment 26693 [details]
Counter says this empty document has 22 words.
Comment 2 flibby05 2005-05-30 17:31:40 UTC
confirm with m106 on WinXP

umr5174, could you please add the document in status before removing all the
text?, thanks, Max 

Comment 3 umr5174 2005-05-30 18:21:54 UTC
Here his a short version of the document (there had been many different version)
before I emptied it.
Comment 4 umr5174 2005-05-30 18:22:49 UTC
Created attachment 26697 [details]
Previous stage (185 words counted)
Comment 5 michael.ruess 2005-05-31 08:14:21 UTC
Reassigned to SBA.
Comment 6 nagashree 2005-05-31 10:49:29 UTC
Confirming the issue
Comment 7 stefan.baltzer 2005-06-02 18:47:13 UTC
SBA: Those mysterious 22 words are "hidden" in the footer of the page style
"First Page". To be seen if this page style is applied. 

Pleae note: Even currently unused page styles are part of the document (thus
being stored), i.e. when they are loaded with huge graphics, the size of an
"empty document" will increase accordingly

Since the word count's main purpose is to count the words in a current selection
(wich it does correctly), I don't regard this a defect.

One may even consider this a feature, giving the Information: "You forgot to
remove data from the document" or "You wasted time to write words that are not
visible in the document".
Set to "Invalid".
Comment 8 stefan.baltzer 2005-06-02 18:56:40 UTC
SBA: Closed.

Feel free to submit an enhancement issue that Word count gets more options (i.e.
to define individual word seperators:
Is www.blabla.com ONE or THREE words, is
c:\temp\my_pictures\Year_2005\the_best_pix\ ONE word or FIVE words), what about
headers, footers, how to handle unused page styles, you-name-it...

Note: Best if you name a community developer to build this in :-)